<template>
  <div class="public-bounced" v-drag v-if="flag">
    <Echarts></Echarts>
    <!--    <div class="public-bounced-title">-->
    <!--      <span>{{ displayContentTitle }}</span>-->
    <!--      <i class="el-icon-circle-close" @click="closePopup"></i>-->
    <!--    </div>-->
    <!--    <div class="public-bounced-content">-->
    <!--      <div class="public-bounced-content-left">-->
    <!--        <public-tabs :displayContentTab="displayContentTab" :value="value"-->
    <!--                     :setWasteGasdata="setWasteGasdata" :setWasteWaterdata="setWasteWaterdata"></public-tabs>-->
    <!--        <div class="public-bounced-content-left-bottom">-->
    <!--          <public-table v-if="value === 'gufei'"-->
    <!--                        :displayContentTable="displayContentTable"></public-table>-->
    <!--          <public-chart v-else :getWasteGasDetails="getWasteGasDetails"-->
    <!--                        :value="value"-->
    <!--                        :getQueryOnlineMonData="getQueryOnlineMonData"-->
    <!--                        :getWasteWaterMonitoringDetails="getWasteWaterMonitoringDetails">-->
    <!--          </public-chart>-->
    <!--        </div>-->
    <!--      </div>-->
    <!--      <div class="public-bounced-content-right">-->
    <!--        <public-video></public-video>-->
    <!--      </div>-->
    <!--    </div>-->
  </div>
</template>

<script>

import Echarts from '@components/BaseNav/PublicBounced/GasComponents/Echarts'

import '@/components/BaseNav/SolidWaste/directive/dir'
// import PublicTabs from '@components/BaseNav/PublicBounced/GasComponents/PublicTabs'
// import PublicTable from '@components/BaseNav/PublicBounced/GasComponents/PublicTable'
// import PublicVideo from '@components/BaseNav/PublicBounced/GasComponents/PublicVideo'
// import PublicChart from './GasComponents/PublicChart'

export default {
  name: 'PublicBounced',
  components: {
    Echarts
    // PublicTabs,
    // PublicTable,
    // PublicChart,
    // PublicVideo
  },
  data () {
    return {
      setWasteGasdata: '',
      setWasteWaterdata: '',
      displayContentTitle: '',
      displayContentTab: '',
      displayContentTable: '',
      flag: false,
      value: '',
      getWasteGasDetails: [],
      getWasteWaterMonitoringDetails: [],
      getQueryOnlineMonData: []
    }
  },
  methods: {
    closePopup () {
      this.flag = false
    },
    setData (dataBasic, dataDetailed, value) {
      this.flag = true
      this.value = value
      dataBasic.forEach(item => {
        this.displayContentTitle = item.StoragePlaceName
      })
      this.displayContentTab = dataBasic
      this.displayContentTable = dataDetailed
      this.flag = true
      this.value = value
    },
    setGasData (data, dataDetails, value) {
      this.setWasteGasdata = data
      this.getWasteGasDetails = dataDetails
      // console.log(dataDetails)
      this.displayContentTitle = data.Name
      this.flag = true
      this.value = value
    },
    setWaterData (dataWater, dataDetail, hourData, value) {
      this.setWasteWaterdata = dataWater
      // console.log(data)
      this.getQueryOnlineMonData = hourData
      // console.log(drawData)
      this.getWasteWaterMonitoringDetails = dataDetail
      this.displayContentTitle = dataWater.Name
      this.flag = true
      this.value = value
    }
  }
}
</script>

<style lang="less" scoped>
.public-bounced {
  z-index: 999;
  position: absolute;
  top: 15%;
  left: 20%;
  background-color: #002432;
  border: 1px #9fc5c8 solid;
  width: 6rem;
  height: 3rem;

  .public-bounced-title {
    height: 0.1rem;
    border: 1px #a4c0d8 solid;
    padding: 10px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;

    span {
      color: #f4f7ff;
      margin: 0 15px;
      font-size: 14px;
    }

    i {
      color: white;
      margin: 0 15px;
      font-size: 22px;
      cursor: pointer;
    }
  }

  .public-bounced-content {
    padding: 0.1rem;
    display: flex;
    //align-items: center;
    //justify-content: space-around;

    .public-bounced-content-left {
      //width: 4.8rem;
    }

    .public-bounced-content-right {
      //width: 3rem;
      margin-left: 0.1rem;
    }
  }
}
</style>
